cf-serverd(8)

NAME
cf-serverd - cfengine's server agent

SYNOPSIS:
 cf-serverd [options]

DESCRIPTION:
The server daemon provides two services: it acts as a file server for remote file copying and it allows an authorized cf-runagent to start a cf-agent process and set certain additional classes with role-based access control. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--debug, -d
    Enable debugging output

--verbose, -v
    Output verbose information about the behaviour of the agent

--version, -V
    Output the version of the software

--file, -f
    Specify an alternative input file than the default

--define, -D
    Define a list of comma separated classes to be defined at the start of execution

--negate, -N
    Define a list of comma separated classes to be undefined at the start of execution

--no-lock, -K
    Ignore locking constraints during execution (ifelapsed/expireafter) if "too soon" to run

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--diagnostic, -x
    Activate internal diagnostics (developers only)

--no-fork, -F
    Run as a foreground processes (do not fork)

--ld-library-path, -L
    Set the internal value of LD_LIBRARY_PATH for child processes

--generate-avahi-conf, -A
    Generates avahi configuration file to enable policy server to be discovered in the network

AUTHOR
Mark Burgess and CFEngine AS

INFORMATION
Bug reports: http://bug.cfengine.com, .pp Community help: http://forum.cfengine.com Community info: http://www.cfengine.com/pages/community Support services: http://www.cfengine.com This software is Copyright (C) 2008-2013 CFEngine AS.